/*
SparkFun Inventor's Kit
 Circuit12Expansion
 Note: This looks kinda complicated, but it's mostly just comments
 */

int lightPin = 0; 	//photoresistor connected to analog pin 0

int trimPot = 1; 	 	//trimpot connected to analog pin 1
int temperaturePin = 2; 	//temp sensor connected to analog pin 2

int redPin = 3; 		//red lead on RGB LED connected to digital (PWM) pin 3
int greenPin = 5;		//green lead on RGB LED connected to digital (PWM) pin 5
int bluePin = 6; 		//blue lead on RGB LED connected to digital (PWM) pin 6

void setup(){ 					//runs once when Arduino starts up
  Serial.begin(9600); 				//starts serial communication
  pinMode(redPin, OUTPUT); 			//declares redPin as output
  pinMode(bluePin, OUTPUT); 		//declares bluePin as output
  pinMode(greenPin, OUTPUT); 		//declares greenPin as output
}

void loop(){			//loop runs over and over while Arduino has power

  int redValue = analogRead(lightPin);		//reads input from photoresistor

  redValue = map(redValue, 0, 1023, 0, 255);	
  //line above maps photoresistor value (too big) to LED friendly value

  analogWrite(redPin, redValue); 
  //line above uses PWM (analogWrite) to set the redPin to red LED value

    Serial.print(redValue);
  Serial.print("    ");
  //two lines above use Serial to print out red LED value



  int blueValue = analogRead(trimPot);		//reads input from trimpot

    blueValue = map(blueValue, 0, 1023, 0, 255);
  //line above maps trimpot value (too big) to LED friendly value

  analogWrite(bluePin, blueValue); 
  //line above uses PWM (analogWrite) to set bluePin to blue LED value

    Serial.print(blueValue);
  Serial.print("    ");
  //two lines above use Serial to print out blue LED value

  float temperature = getVoltage(temperaturePin);  
  //getting the voltage reading from the temperature sensor
  temperature = (temperature - .5) * 100;
  //converting from 10 mv per degree with 500 mV offset
  //to degrees ((volatge – 500mV) times 100) 
  temperature = map(temperature, -10, 43, 0, 255);

  analogWrite(greenPin, temperature); 
  //line above uses PWM (analogWrite) to set greenPin to temp value

    Serial.print(temperature);
  Serial.print("    ");
  //two lines above use Serial to print out green LED value

  Serial.println ();	//println makes Serial communication start a new line

  delay(1000);		//waits so us slow humans can catch up
}

float getVoltage(int pin){
  return (analogRead(pin) * .004882814); //converting from a 0 to 1023 digital range
  // to 0 to 5 volts. each 1 reading equals ~ 5 millivolts 
}


