/*    
 SparkFun Inventor's Kit
 Circuit10BExpansion
 Adapted from Arduino Experimentation Kit Example Code
 Circ05 8 more LEDs (74HC595 Shift Register)
 &
 CIRC-10 .: Temperature :. (TMP36 Temperature Sensor)
 */


//Pin Definitions
//The 74HC595 using a protocol called SPI (for more details http://www.arduino.cc/en/Tutorial/ShiftOut)
//Which has three pins
int data = 2; 
int clock = 3;
int latch = 4;
int temperaturePin = 0;


/*
 * setup() - this function runs once when you turn your Arduino on
 * We set the three control pins to outputs
 */
void setup()
{
  Serial.begin(9600);
  pinMode(data, OUTPUT);
  pinMode(clock, OUTPUT);  
  pinMode(latch, OUTPUT);  
}


void loop()                     // run over and over again
{
  float temperature = getVoltage(temperaturePin);  //get voltage from sensor
  temperature = (temperature - .5) * 100;           //Celsius
  //convert from 10 mv per ˚ with 500 mV offset to ˚((volts - 500mV) times 100)

   //a bunch of if statements to light # of LEDs depending
             //on temperature, calls tempShift method, passes LEDs on/off in binary 
if(temperature <= 15){

    tempShift(0b00000000);
  }
  if(temperature <= 17.5 && temperature > 15){

    tempShift(0b10000000);
  }
  if(temperature <= 20 && temperature > 17.5){

    tempShift(0b11000000);
  }
  if(temperature <= 22.5 && temperature > 20){

    tempShift(0b11100000);
  }
  if(temperature <= 25 && temperature > 22.5){

    tempShift(0b11110000);
  }
  if(temperature <= 27.5 && temperature > 25){

    tempShift(0b11111000);
  }
  if(temperature <= 30 && temperature > 27.5){

    tempShift(0b11111100);
  }
  if(temperature <= 32.5 && temperature > 30){

    tempShift(0b11111110);
  }
  if(temperature > 32.5){

    tempShift(0b11111111);
  }
Serial.println(temperature);
}

float getVoltage(int pin){
  return (analogRead(pin) * .004882814); 
//converting from a 0 to 1024 digital range
  // to 0 to 5 volts (each 1 reading equals ~ 5 millivolts
}

void tempShift(int j){                  

    digitalWrite(latch, LOW);     //Pulls the chips latch low
    shiftOut(data, clock, MSBFIRST, j); //Shift j to shift register
    digitalWrite(latch, HIGH);   //Pulls the latch high displaying the data
}
