/*
SparkFun Inventor's Kit
Circuit07Expansion
Adapted from button tutorial:
 by DojoDave <http://www.0j0.org>
 modified 17 Jun 2009
 by Tom Igoe
and Circ-14:Fancy Sensing
 by Oomlout
*/
						// constants do not change
const int button1Pin = 2;     		// button connected to pin # 2
const int button2Pin = 3;

const int RED_LED_PIN = 9;		// LED leads connected to PWM pin 9
const int GREEN_LED_PIN = 10;		// LED leads connected to PWM pin 10
const int BLUE_LED_PIN = 11;		// LED leads connected to PWM pin 11

					// variables will change:
int button1State = 0;         // variable for reading the button1 status
int button2State = 0;         // variable for reading the button2 status

int colorValue = 0;

int redIntensity = 0;	//Used to store the current intensity level of red LED
int greenIntensity = 0; //Used to store the current intensity level of green LED
int blueIntensity = 0; //Used to store the current intensity level of blue LED


// The setup() method runs once, when the sketch starts

void setup() { 
  // initialize the pushbutton pins as inputs:
  pinMode(button1Pin, INPUT);     
  pinMode(button2Pin, INPUT); 
}

// the loop() method runs over and over again as long as the Arduino has power

void loop(){
  // read the states of the pushbutton values:
  button1State = digitalRead(button1Pin);
  button2State = digitalRead(button2Pin);


  if (button1State == HIGH) {       // check if the pushbutton1 is pressed.
  		  // if it is, the button1State is HIGH: and add to colorValue
		  // make sure it's not over 1023 
	if(colorValue < 1023){
colorValue = colorValue + 1;
}
} 
  if (button2State == HIGH) {     // check if the pushbutton2 is pressed.
		// if it is, the button2State is HIGH: subtract from colorValue
		// make sure it's not under 0 
	if(colorValue > 0){
colorValue = colorValue - 1;
}
 } 
//calculate the red Value (255-0 over the range 0-512)
int redValue = constrain(map(colorValue, 0, 512, 255, 0),0,255); 

//calculate the green value (0-255 over 0-512 & 255-0 over 512-1023)
  int greenValue = constrain(map(colorValue, 0, 512, 0, 255),0,255)-constrain(map(colorValue, 512, 1023, 0, 255),0,255);  

//calculate the blue value 0-255 over 512-1023
  int blueValue = constrain(map(colorValue, 512, 1023, 0, 255),0,255); 

  // Display the requested color 
  analogWrite(RED_LED_PIN, redValue);
  analogWrite(GREEN_LED_PIN, greenValue);
  analogWrite(BLUE_LED_PIN, blueValue);
}

