/*    
SparkFun Inventor's Kit
Circuit10Expansion
Adapted from Oomlout's SIK Circuit 10
*/


int temperaturePin = 0; 	// declare the pin the temp sensor is connected to
                  		
int LEDpin = 9;		// declare the pin the LED is connected to


// setup() - this function runs once when you turn your Arduino on

void setup()
{
  Serial.begin(9600);  		// Start the serial connection with the computer
                       			// to view the result open the serial monitor 
                       			// last button beneath the file bar (looks like a box with an antennae)
}
 
void loop()                     // loop runs over and over again while Arduino has power
{
 float temperature = getVoltage(temperaturePin);  
// line above gets the voltage reading from the temperature sensor

 temperature = (temperature - .5) * 100;          
// line above converts from 10 mV per degree with 500 mV offset to degrees in Celsius


int tempBright = map(temperature, 20, 30, 0, 255); 
// maps temperature to an analogWrite (PWM) friendly value (0-255) 
// you may have to change the above numbers 20 & 30 depending on how warm or cold it is.

 Serial.println(temperature);          //prints the results to Serial
 
 analogWrite(LEDpin, tempBright); 
// line above uses analogWrite to change brightness of LED to tempBright
 
 delay(1000);       // waits 1 second
}


// getVoltage() - returns a voltage from the original digital temp sensor value

float getVoltage(int pin){
 return (analogRead(pin) * .004882814); 
//line above converts from a 0 to 1024 digital range to 0 to 5 volts (each 1 digital equals ~ 5 millivolts)
}
