/*
SparkFun Inventor's Kit
Circuit04Expansion
Adapted from:
 Sweep
 by BARRAGAN <http://barraganstudio.com> 
and Circ-10: Temperature
by Oomlout
*/

#include <Servo.h> 
 
Servo myservo;  // create servo object to control a servo 
                // a maximum of eight servo objects can be created 
 
int temperaturePin = 0;
 
void setup() 
{ 
  myservo.attach(9);  // attaches the servo on pin 9 to the servo object 
} 
 
 
void loop(){ 

//getting the voltage reading from the temperature sensor          
float temperature = getVoltage(temperaturePin); 

//convert from 10 mv per degree with 500 mV offset to degrees (volts - 500mV)* 100
 temperature = (temperature - .5) * 100; 

//map temp from -10F to 105F to a 0 to 180 value so servo will work as indicator
temperature = map (temperature, -24, 40, 0, 180);
             
    myservo.write(temperature);  // tell servo to go to position in variable temp 
    delay(15);                   // waits 15ms for the servo to reach the position 
   
} 
float getVoltage(int pin){
 return (analogRead(pin) * .004882814); 
//converting from a 0 to 1024 digital range
// to 0 to 5 volts (each 1 reading equals ~ 5 millivolts
}


