/*    
SparkFun Inventor's Kit
Circuit6Expansion
Adapted from Melody by D. Cuartielles
*/
  
int speakerPin = 9;

int length = 10; // the number of notes
char notes[] = "a c e g "; // a space represents a rest
int beats[] = { 10, 10, 10, 10 };
int tempo = 700;

void playTone(int tone, int duration) {
  for (long i = 0; i < duration * 1000L; i += tone * 2) {
    digitalWrite(speakerPin, HIGH);
    delayMicroseconds(tone);
    digitalWrite(speakerPin, LOW);
    delayMicroseconds(tone);
  }
}

void playNote(char note, int duration) {
  char names[] = { 'c',  'e',  'g', 'a'  };
  int tones[] = { 1915,  1519, 1275, 1136  };
  
  // play the tone corresponding to the note name
  for (int i = 0; i < 4; i++) {
    if (names[i] == note) {
      playTone(tones[i], duration);
    }
  }
}

void setup() {
  pinMode(speakerPin, OUTPUT);
  Serial.begin(9600);
}

void loop() {
  for (int i = 0; i < length; i++) {
    if (notes[i] == ' ') {
      delay(beats[i] * tempo * .5); // rest
    } else {
       Serial.println(notes[i]);
      playNote(notes[i], beats[i] * tempo);
      Serial.println(notes[i]);
    }
    
    // pause between notes
    delay(tempo / 2); 
  }
}
