/*    
SparkFun Inventor's Kit
Circuit05Expansion
Adapted from Arduino Experimentation Kit Example Code
Circ05 8 more LEDs (74HC595 Shift Register)
 */


//Pin Definitions
//The 74HC595 using a protocol called SPI (for more details //http://www.arduino.cc/en/Tutorial/ShiftOut)
//We are sending LOW (0v) and HIGH (5v) directly to the latch and clock pins
//but we need to use code to decide if the trimpot is set as HIGH or LOW

int dataTrimpot = 0; 
int dataOutput = 2;
int dataLedHIGH =  13;
int dataLedLOW =  12;

int data = 0;             // data is a variable that will be set as either HIGH or LOW depending on trimpot


// setup() - this function runs once when you turn your Arduino on
// We set the three control pins to outputs

void setup()
{
  Serial.begin(9600);
  pinMode(dataLedHIGH, OUTPUT); // this pin light ups the LED on pin # 13 if data trimpot is HIGH
  pinMode(dataLedLOW, OUTPUT);  // this pin light ups the LED on pin # 12 if data trimpot is LOW
  pinMode(dataOutput, OUTPUT);      // this pin send either HIGH or LOW to the shift register data pin
}

// loop() - this function will start after setup finishes and then repeat
// we set which LEDs we want on then call a routine which sends the states to the 74HC595

void loop()                     // run over and over again
{
  data=analogRead(dataTrimpot);          //get a value from the trimpot
  if(data <= 511){                                   // decide if data is LOW, if it is do the next 4 lines
    digitalWrite(dataLedHIGH, LOW);  // turn on LED that indicates data is LOW
    digitalWrite(dataLedLOW, HIGH);  // turn off LED that indicates data is HIGH
    digitalWrite(dataOutput, LOW);       // output LOW to shift register data pin
    Serial.println("dataLOW");               // print data value to Serial communicator
  }
  if(data >= 512){                                      // decide if data is LOW, if it is do the next 4 lines
    digitalWrite(dataLedHIGH, HIGH);    // turn on LED that indicates data is HIGH
    digitalWrite(dataLedLOW, LOW);      // turn off LED that indicates data is LOW
    digitalWrite(dataOutput, HIGH);         // output HIGH to shift register data pin
        Serial.println("dataHIGH");             // print data value to Serial communicator
  }
}





